@title TWRP image extractor
@echo off
cls
color 0c
mode con:cols=80 lines=20

:logo
echo.
echo   """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
echo   "    ___  ____  ____  _____    ____  ___  ____ ____  __  ________  _  _    "
echo   "   / _ \/ _  \/ _  \/_  _/_  / / / / / \/ / //_/\ \/ / / __/ _  \/ \/ \   "
echo   "  / , _/ |_| / |_| / / / / // / /_/ /    /  <    \  /_/ /_/ |_| / ,  , \  "
echo   " /_/|_|\____/\____/ /_/  \___/\____/_/\_/_/\_/   /_/_/___/\____/_/ \/ \_\ "
echo   "                                                                          "
echo   """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
echo.

:startlog
echo Logged time = %time% %date% > log.txt 2>&1
echo TWRP Image Extractor Started >> log.txt 2>&1

:cleanup
echo [*] Cleaning up folders
rmdir *.ext4 /S /Q >> log.txt 2>&1
rmdir *.emmc /S /Q >> log.txt 2>&1

:convert
xcopy 1_PLACE_IMAGES_HERE\*.win *.tar /K /D /H /Y >> log.txt 2>&1
xcopy 1_PLACE_IMAGES_HERE\*.win??? *.tar /K /D /H /Y >> log.txt 2>&1

:extract
echo [*] Extracting TWRP images please wait
start 2-Tools\backup-Extractor.exe x -y *.tar -o* >> log.txt 2>&1
timeout 10 > nul
echo list of images that where extracted >> log.txt 2>&1
pause

:listfiles
dir /b /s *.ext4 >> log.txt 2>&1
dir /b /s *.emmc >> log.txt 2>&1
::echo F|xcopy /S /Q /Y /F data.ext4\data\com.android.providers.telephony\databases\mmssms.db mmssms.db /K /D /H >> log.txt 2>&1
::echo F|xcopy /S /Q /Y /F data.ext4\data\com.android.providers.contacts\databases\contacts2.db contacts2.db /K /D /H >> log.txt 2>&1

:delete
echo [*]
echo [*]
echo [*] Thanks for using backup extractor
del *.emmc > nul 2>&1
del *.tar > nul 2>&1
echo Extraction End >> log.txt 2>&1
timeout 5 > nul 
exit